petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFieldSplitSetDMSplits

Flags whether DMCreateFieldDecomposition() should be used to define the splits, whenever possible.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSetDMSplits(PC pc,PetscBool flg)

Logically Collective

### Input Parameters

| pc | - the preconditioner context
| flg | - boolean indicating whether to use field splits defined by the DM

### Options Database Key

-pc_fieldsplit_dm_splits -

### Keywords

PC, DM, composite preconditioner, additive, multiplicative

### See Also

PCFieldSplitGetDMSplits()

Level:Intermediate
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages